대상 환경으로의 배포 롤아웃, 단계별 로그 및 수동 롤백.

GET /api/v1/deployments/recent

GET/api/v1/deployments/recent

최근 배포 (대시보드)

대시보드 위젯용 최근 배포.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
limitqueryinteger

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/deployments

GET/api/v1/deployments

배포 목록

호출자 테넌트의 배포 목록.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
statusquerystring?
modelquerystring?
pagequeryinteger
page_sizequeryinteger?

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/deployments

POST/api/v1/deployments

배포 실행

모델 버전을 대상 디바이스에 배포하는 작업 실행.

Permission: DEPLOY

Request body: application/json, DeploymentCreate

FieldTypeRequiredDescription
model_namestring✓Model Name
versionstring✓Version
target_device_idstring?Target Device Id
strategystringStrategy
imagestring?Image
previous_versionstring?Previous Version

Responses

StatusDescription
201Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/deployments/{deployment_id}

GET/api/v1/deployments/{deployment_id}

배포 상세

단일 배포의 전체 상세 정보.

Permission: VIEW

Parameters

NameInTypeRequiredDescription
deployment_idpathstring (uuid)✓

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

GET /api/v1/deployments/{deployment_id}/logs

GET/api/v1/deployments/{deployment_id}/logs

단계별 로그

배포 파이프라인의 단계별 로그 참조.

Permission: OPERATE

Parameters

NameInTypeRequiredDescription
deployment_idpathstring (uuid)✓
stepquerystring?

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

POST /api/v1/deployments/{deployment_id}/rollback

POST/api/v1/deployments/{deployment_id}/rollback

수동 롤백

배포를 이전 버전으로 수동 롤백.

Permission: ROLLBACK

Parameters

NameInTypeRequiredDescription
deployment_idpathstring (uuid)✓

Responses

StatusDescription
200Successful Response (object)
422Validation Error (HTTPValidationError)

Written for the platform as of 2026-10-02.

© MLOps Central Platform